vec4 effect(vec4 color, Image tex, vec2 uv, vec2 px)
{
    vec4 c = Texel(tex, uv);
    float gray = dot(c.rgb, vec3(0.299, 0.587, 0.114)); // магические числа человеческого восприятия
    return vec4(vec3(gray), c.a);
}
